// Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
// This script demonstrates how you can use the action manager
// to execute the Mosaic Tiles filter.

function mosaicTiles( inTileSize, inWidth, inLighten )
{
    // Get ID's for the related keys
    var keyTileSizeID       = charIDToTypeID( "TlSz" );
    var keyGroutWidthID     = charIDToTypeID( "GrtW" );
    var keyLightenGroutID   = charIDToTypeID( "LghG" );
    var eventMosaizID       = charIDToTypeID( "MscT" );
    
    var filterDescriptor = new ActionDescriptor();
    filterDescriptor.putInteger( keyTileSizeID,     inTileSize );
    filterDescriptor.putInteger( keyGroutWidthID,   inWidth );
    filterDescriptor.putInteger( keyLightenGroutID, inLighten );


    executeAction( eventMosaizID, filterDescriptor );
}

if (!app.documents.length > 0) {    // open sample file if no document is opened.
    var strtRulerUnits = app.preferences.rulerUnits;
    app.preferences.rulerUnits = Units.PIXELS;
    var docRef = app.documents.add(320, 240, 72, null, NewDocumentMode.RGB, DocumentFill.WHITE);
    app.preferences.rulerUnits = strtRulerUnits;
}

mosaicTiles( 12, 3, 9 )