VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1260
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3435
   LinkTopic       =   "Form1"
   ScaleHeight     =   1260
   ScaleWidth      =   3435
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Apply Filter/Effects"
      Height          =   615
      Left            =   480
      TabIndex        =   0
      Top             =   360
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Copyright 2002-2003.  Adobe Systems, Incorporated.  All rights reserved.
' This script shows how to determine if a layer is a text layer and
' how to apply to filter to a selection on the layer.
' The text layer must be rasterized before applying filters to it.
' Before running the script, create one or more text layers in the
' active document

Private Sub Command1_Click()

Dim appRef As Photoshop.Application
Dim docRef As Photoshop.Document
Dim textItemRef As Photoshop.TextItem
Dim artLayerRef As Photoshop.ArtLayer
Dim theOrigin As Variant
Dim theRasterizeType As Photoshop.PsRasterizeType
Dim selectionType As Photoshop.PsSelectionType
Dim rippleSize As Photoshop.PsRippleSize
Dim boxWidth As Long
Dim boxHeight As Long

Set appRef = New Photoshop.Application

If appRef.Documents.Count > 0 Then
    Set docRef = appRef.ActiveDocument
Else ' open new document with text
  Dim layerKind As Photoshop.PsLayerKind
  Dim textColor As Photoshop.SolidColor

  Dim strtRulerUnits As PsUnits
  Dim strtTypeUnits As PsTypeUnits
  strtRulerUnits = appRef.Preferences.RulerUnits
  appRef.Preferences.RulerUnits = psInches
  strtTypeUnits = appRef.Preferences.TypeUnits
  appRef.Preferences.TypeUnits = psTypePoints

  Set textColor = New Photoshop.SolidColor
  textColor.RGB.Red = 255
  textColor.RGB.Green = 0
  textColor.RGB.Blue = 0

  'Create a new document and assign it to a variable.
  Set docRef = appRef.Documents.Add(7, 5)

  'Create a new art layer, set it to a text layer.
  Set artLayerRef = docRef.ArtLayers.Add

  layerKind = psTextLayer
  artLayerRef.Kind = layerKind

  'Set the contents and other properties of the text layer.
  Set textItemRef = artLayerRef.TextItem
  textItemRef.Contents = "Hello, World!"
  textItemRef.Position = Array(0.75, 0.75)
  textItemRef.Size = 36
  textItemRef.Font = "Georgia"
  textItemRef.Color = textColor

  appRef.Preferences.RulerUnits = strtRulerUnits
  appRef.Preferences.TypeUnits = strtTypeUnits
    
End If
    
    theRasterizeType = psEntireLayer
    selectionType = psReplaceSelection
    rippleSize = psLargeRipple
    
    For Each artLayerRef In docRef.ArtLayers
    
        If (artLayerRef.Kind = psTextLayer) Then
            docRef.ActiveLayer = artLayerRef
            
            ' must set the text kind to paragraph because you can only get the bounds of paragraph text.
            artLayerRef.TextItem.Kind = psParagraphText
                        
            theOrigin = artLayerRef.TextItem.Position
            boxWidth = artLayerRef.TextItem.Width
            boxHeight = artLayerRef.TextItem.Height
            
            'Select the Text Art.
            'The origin takes the justification into account, so no need to test
            'if right/left/center justified.
            docRef.Selection.Select Array(Array(theOrigin(0), theOrigin(1)), Array(boxWidth + theOrigin(0), theOrigin(1)), Array(boxWidth + theOrigin(0), theOrigin(1) + boxHeight), Array(theOrigin(0), theOrigin(1) + boxHeight)), Type:=selectionType, Feather:=0, AntiAlias:=False
            
            ' must rasterisze text items before applying filters to them.
            artLayerRef.Rasterize theRasterizeType
            artLayerRef.ApplyRipple amount:=150, Size:=rippleSize
            
            artLayerRef.ApplyStyle ("Overspray (Text)")
            docRef.Selection.Deselect
        End If
    Next


End Sub

